# $Revision: 1.34 $, $Date: 2011/09/17 07:23:48 $
# TODO
# - check madwifi-ng-devel and madwifi-devel BR -- ???
Summary:	HostAP - acts as an access point
Summary(es.UTF-8):	HostAP - actúa como un punto de acceso
Summary(pl.UTF-8):	HostAP - praca jako access point
Name:		hostapd
Version:	0.7.3
Release:	3
License:	GPL v2
Group:		Daemons
Source0:	http://hostap.epitest.fi/releases/%{name}-%{version}.tar.gz
# Source0-md5:	91a7c8d0f090b7104152d3455a84c112
Source1:	%{name}.init
Patch0:		%{name}-config.patch
Patch1:		%{name}-build-time-config.patch
Patch2:		%{name}-nl.patch
URL:		http://hostap.epitest.fi/
BuildRequires:	libnl-devel >= 1:2.0
BuildRequires:	madwifi-ng-devel
BuildRequires:	openssl-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains utilities and userspace daemon for the Linux
driver for wireless LAN cards based on Intersil's Prism2/2.5/3,
Intersil/Conexant Prism GT/Duette/Indigo (Prism54), Atheros ar521x
(madwifi) chipsets. The driver supports a so called Host AP mode,
i.e., it takes care of IEEE 802.11 management functions in the host
computer and acts as an access point. This does not require any
special firmware for the wireless LAN card. In addition to this, it
has support for normal station operations in BSS and possible also in
IBSS.

%description -l es.UTF-8
Este paquete contiene unas herramientas y un servidor del espacio de
usuario para tarjetas LAN inalámbricas basadas en el chipset Intersil
Prism2/2.5/3, Intersil/Conexant Prism GT/Duette/Indigo (Prism54),
Atheros ar521x (madwifi). El driver soporta el llamado modo Host AP,
es decir, se encarga de las funciones administrativas el el host,
actuando como "access point". Ello no requiere ningún firmware
especial para la tarjeta LAN inalámbrica. Además, también hay soporte
para operaciones normales de estación en BSS y posiblemente también en
IBSS.

%description -l pl.UTF-8
Ten pakiet zawiera narzędzia oraz demona działającego w przestrzeni
użytkownika dla linuksowego sterownika kart sieci bezprzewodowych
opartych na układach Intersil Prism2/2.5/3, Intersil/Conexant Prism
GT/Duette/Indigo (Prism54), Atheros ar521x (madwifi). Sterownik
obsługuje tak zwany tryb Host AP, czyli dba o funkcje zarządzające
IEEE 802.11 na komputerze i działa jako access point. Nie wymaga to
żadnego specjalnego firmware dla karty sieci bezprzewodowej. Ponadto
ma obsługę normalnych operacji stacyjnych w BSS, a być może także
IBSS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%{__sed} '/CFLAGS =/{s/-g//; s/-O2/$(OPTCFLAGS)/}' -i hostapd/Makefile
%{__sed} '/NOBJS =/s@../src/crypto/rc4.o@../src/utils/wpabuf.o ../src/utils/wpa_debug.o@' -i hostapd/Makefile

%build
%{__make} -C hostapd \
	CONFIG_LIBNL20=1 \
	all nt_password_hash hlr_auc_gw \
	V=1 \
	CC="%{__cc}" \
	OPTCFLAGS="%{rpmcflags} %{rpmcppflags} `pkg-config --cflags libnl-3.0`" \
	LDFLAGS="%{rpmcflags} %{rpmldflags} `pkg-config --libs libnl-3.0 libnl-genl-3.0`"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/sbin,%{_sysconfdir}/{hostap,pcmcia}}
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

# hostapd hostapd_cli nt_password_hash hlr_auc_gw
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/hostapd
install -p hostapd/hostapd $RPM_BUILD_ROOT/sbin
install -p hostapd/hostapd_cli $RPM_BUILD_ROOT/sbin
install -p hostapd/nt_password_hash $RPM_BUILD_ROOT/sbin
install -p hostapd/hlr_auc_gw $RPM_BUILD_ROOT/sbin

# hostapd configuration
cp -a hostapd/hostapd.accept $RPM_BUILD_ROOT%{_sysconfdir}/hostap
cp -a hostapd/hostapd.conf $RPM_BUILD_ROOT%{_sysconfdir}/hostap
cp -a hostapd/hostapd.deny $RPM_BUILD_ROOT%{_sysconfdir}/hostap

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add hostapd
%service hostapd restart "HostAP Daemon"

%preun
if [ "$1" = "0" ]; then
	%service hostapd stop
	/sbin/chkconfig --del hostapd
fi

%files
%defattr(644,root,root,755)
%doc hostapd/ChangeLog hostapd/README
%dir %{_sysconfdir}/hostap
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/hostap/*
%attr(755,root,root) /sbin/*
%attr(754,root,root) /etc/rc.d/init.d/hostapd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hostapd.spec,v $
Revision 1.34  2011/09/17 07:23:48  arekm
- rel 3; link with libnl 3.2

Revision 1.33  2011/09/17 07:07:50  arekm
- release 2

Revision 1.32  2011/03/27 21:47:52  arekm
- up to 0.7.3; use rpmcppflags; need libnl >= 2.0

Revision 1.31  2011/03/27 18:41:12  arekm
- release 4

Revision 1.30  2010/11/13 12:07:42  pawelz
- release 3

Revision 1.29  2010/04/12 19:25:23  arekm
- release 2

Revision 1.28  2009/11/24 12:45:11  sparky
- rpmcflags and rpmldflags
- fixed nt_password_hash build

Revision 1.27  2009/11/24 08:50:30  glen
- up to 0.7.0

Revision 1.26  2009/10/19 08:14:29  glen
- release 2

Revision 1.25  2009/04/17 11:59:32  shadzik
- 0.6.9

Revision 1.24  2008/09/11 20:00:10  hawk
- updated to 0.6.4

Revision 1.23  2008/08/27 17:40:20  grzegorz
- added BR:  openssl-devel

Revision 1.22  2007/03/15 07:49:41  qboosh
- no kernel dependencies in userspace packages

Revision 1.21  2007/03/14 23:46:52  pluto
- disable strict kernel-net-hostap R: with suitable comment.

Revision 1.20  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.18  2007/02/04 22:03:30  mguevara
- up to 0.5.7 (stable)

Revision 1.17  2006/10/09 00:24:19  mguevara
- 0.5.5-1 rel

Revision 1.16  2006/04/22 14:26:06  dzeus
- optflags

Revision 1.15  2006/04/22 14:20:45  dzeus
- use %service and adapterize

Revision 1.14  2006/04/11 11:37:44  mguevara
- 0.5.2 rel 1
- new chipsets - Atheros/madwifi-ng and Prism54
- desc changes, todo added, new tools added

Revision 1.13  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.12  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.11  2004/10/15 17:58:44  darekr
- updated to 0.2.5
- added ChangeLog in %doc

Revision 1.10  2004/07/22 23:54:18  pbern
- up to 0.2.4
- rel 1

Revision 1.9  2004/07/11 12:59:47  bartowl
- 0.2.3

Revision 1.8  2004/06/05 05:46:48  pbern
- upto 0.2.2
- rel 1

Revision 1.7  2004/03/01 11:11:16  pawelb
- up to 0.1.3

Revision 1.6  2003/11/11 01:33:22  ankry
- caps unification, other cosmetics

Revision 1.5  2003/11/03 22:41:04  qboosh
- some post-split cleanups, Requires() for chkconfig

Revision 1.4  2003/11/03 22:03:32  ankry
- cosmetics

Revision 1.3  2003/11/03 22:00:57  pbern
- rel1
- fix R

Revision 1.2  2003/11/03 21:57:50  pbern
- back patch0

Revision 1.1  2003/11/03 21:13:59  pbern
- init release, based on hostap.spec
